package com.fer.labust.diverassistant;

public class MarkerCount {
	private Integer markerCounter;
	private static MarkerCount instance;
	
	private MarkerCount(){
		this.markerCounter = 0;
	}
	
	public static MarkerCount getInstance(){
		if(instance == null){
			instance = new MarkerCount();			
		}
		return instance;
	}
	public void increaseCount(){
		this.markerCounter +=1;
	}
	
	public void decreaseCount(){
		this.markerCounter -=1;
	}
	
	public void resetCount(){
		this.markerCounter = 0;
	}
	
	public Integer getCount(){
		return this.markerCounter;
	}

}
