package labust.tritech;

import java.util.ArrayList;
import java.util.List;

import android.util.Log;

public class DefaultMessageList {
	private List<DefaultMessage> defaultMessages;
	
	public DefaultMessageList(){
		this.defaultMessages = new ArrayList<DefaultMessage>();
		this.defaultMessages.add(new DefaultMessage(0, "Alert"));		
		this.defaultMessages.add(new DefaultMessage(1, "Ok"));
		this.defaultMessages.add(new DefaultMessage(2, "No"));
		this.defaultMessages.add(new DefaultMessage(3, "SOS"));
		this.defaultMessages.add(new DefaultMessage(4, "Yes"));
		this.defaultMessages.add(new DefaultMessage(5, "Diving out"));
		this.defaultMessages.add(new DefaultMessage(6, "Next KML"));
		this.defaultMessages.add(new DefaultMessage(7, "End KML"));
		this.defaultMessages.add(new DefaultMessage(8, "Error"));

	}
	
	public DefaultMessage getDefaultMessage(int messageNumber){
		Log.e("DeafultMessageList", Integer.toString(messageNumber));
		for(DefaultMessage defmessage : this.defaultMessages){
			if(defmessage.getMessageNumber() == messageNumber){
				return defmessage;
			}
		}
		return null;
	}

	public List<DefaultMessage> getDefaultMessages() {
		return defaultMessages;
	}

	public void setDefaultMessages(List<DefaultMessage> defaultMessages) {
		this.defaultMessages = defaultMessages;
	}		
}
